Bug 243673 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: radvd   
(Show other bugs)
Version: 4.5
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 243672
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 12:08 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:03 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-1091
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-05 13:55:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:1091 normal SHIPPED_LIVE New radvd packages are available 2008-07-23 21:56:03 UTC

Description Michal Marciniszyn 2007-06-11 12:08:36 UTC
+++ This bug was initially created as a clone of Bug #243672 +++

Description of problem:
The radvd init script returns some incorrect error codes and some constructions
in it also prevent correct status command call. For example:
[ x${NETWORKING_IPV6} = "xyes" ] || exit 0
[ -f /usr/sbin/radvd ] || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Martin Bacovsky 2007-08-21 13:19:23 UTC
re-proposed to 4.7

Comment 3 Martin Bacovsky 2007-11-27 10:50:38 UTC
This issue should be fixed in radvd-0.7.2-10.el4

Comment 7 errata-xmlrpc 2007-12-05 13:55:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-1091.html



Note You need to log in before you can comment on or make changes to this bug.